Subject: Re: Wrong padding of short packets send by a tagged-vlan interface?

From: Patrick McHardy <[email-masked]>
Date: Mon, 07 Jul 2008 23:12:31 +0200

Ben Greear wrote:
> Krzysztof Oledzki wrote:
>> Hello,
>>
>> I have a problem that I'm not able to connect from selected linux 
>> hosts to a newly installed Netware 6.5 server. After two days of 
>> debugging I discovered that the problem seems to be caused by an 
>> insufficient padding of a .1q tagged packets.
> 
> Last time this came up I looked up the RFC and according to it
> there is no need to pad beyond the normal 60 + 4, vlan tag or
> not.
> 
> This is a bug in your intervening switch and/or Netware unless you 
> actually see packets
> leaving Linux with less than 60 + 4 bytes.

Yes, its probably not on the Linux side. It would be interesting
to know where exactly the bug is happening though.